.\"	$NetBSD: dpt.4,v 1.23 2006/11/13 16:33:57 ad Exp $
.\"
.\" Copyright (c) 1999, 2000, 2002 Andrew Doran <ad@NetBSD.org>
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. The name of the author may not be used to endorse or promote products
.\"    derived from this software without specific prior written permission
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd December 7, 2002
.Dt DPT 4
.Os
.Sh NAME
.Nm dpt
.Nd
DPT EATA
.Tn SCSI
adapter driver
.Sh SYNOPSIS
.Cd "dpt* at isa? port ? irq ? dma ?"
.Cd "dpt* at eisa? slot ?"
.Cd "dpt* at pci? dev ? function ?"
.Cd "scsibus* at dpt?"
.Sh DESCRIPTION
The
.Nm
driver provides support for third and fourth generation DPT
.Tn SCSI
controllers.  All communication with the controllers is conducted via the
EATA (Enhanced AT Bus Attachment) protocol.
.Pp
DPT adapters examine and interpret all
.Tn SCSI
commands received before passing them to any underlying physical device(s).
In this way, caching, RAID and other transformations are achieved while
remaining transparent to the host operating system.
.Sh HARDWARE
The
.Nm
driver provides support for the adapters listed below.  Later models are
supported by the
.Nm iop
driver.
.Pp
.Bl -tag -width Dv -offset indent -compact
.It Tn DPT SmartCache III
.It Tn DPT SmartCache IV
.It Tn DPT SmartRAID III
.It Tn DPT SmartRAID IV
.El
.Sh FILES
.Bl -tag -width /dev/dptn -compact
.It Pa /dev/dpt Ns Ar u
control device for unit
.Ar u
.El
.Sh DIAGNOSTICS
None of these messages should be encountered under normal circumstances.  It
should be noted that the list below is not complete.
.Pp
.Bl -tag -width indent
.It dpt%d: readcfg failed - see dpt(4)
The EATA configuration data did not appear upon request.  This may be caused
by older firmware.  Generally the solution is to power-cycle the affected
machine.
.It dpt%d: spurious intr
A spurious interrupt was received from the HBA.
.It dpt%d: bogus status (returned CCB id NNNN)
A corrupt or incomplete status packet was received from the HBA.
.El
.Sh SEE ALSO
.Xr cd 4 ,
.Xr ch 4 ,
.Xr dpti 4 ,
.Xr intro 4 ,
.Xr iop 4 ,
.Xr scsi 4 ,
.Xr sd 4 ,
.Xr st 4
.Pp
The
.Pa sysutils/dptutil
package.
.Pp
CAM committee standard CAM/89-004 - the EATA (Enhanced AT Bus Attachment)
protocol.
.Sh HISTORY
The
.Nm dpt
driver first appeared in
.Nx 1.4.2 .
.Sh BUGS
EATA adapters other than listed may function correctly with the
.Nm
driver, however a definitive list is not available.
.Pp
Older boards that do not support scatter-gather I/O or DMA are not supported.
.Pp
ECC formatted disk and arrays (i.e. with a sector size of 528 bytes) do not
work correctly with the PM2041 and certain firmware revisions of the PM3334.
